자료실 Q&A
글 수 2,319
||||이 리습은 캐드에서 TEXT 명령으로 글자를 바로직전에 작성한 글자크기를 그대로 따라가도록 되어 있습니다.
예로 캐드에서 TEXT 명령으로 글자크기를 5로 했다면,
아래 리습은 글자크기 5로 작성됩니다.
여기에서 글자크기를 관할하는 부분을 말씀드리겠습니다.
(defun c:nt ()
(setq s_num (getstring "\nbeginning number : "))
(if (= s_num "") (setq s_num num) (setq num (itoa (1- (read s_num)))))
(while (setq txt_pt (getpoint "\ntext insertion point: "))
(command "._text" txt_pt "" "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
)
만약 글자크기를 리습에서 고정하고 싶으시다면,
(command "._text" txt_pt "####" "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
#### 부분에 숫자를 기재하면 됩니다.
아래는 글자크기 10으로 하는 예입니다.
(command "._text" txt_pt "10" "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
만약 리습을 실행할때마다 글자크기를 물어보게 하고 싶다면
-----------------------------------------------------------------------------------------------------------------------------
(defun c:nt ()
(setq textheight (getreal))
(setq s_num (getstring "\nbeginning number : "))
(if (= s_num "") (setq s_num num) (setq num (itoa (1- (read s_num)))))
(while (setq txt_pt (getpoint "\ntext insertion point: "))
(command "._text" txt_pt textheight "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
)
-----------------------------------------------------------------------------------------------------------------------------
이렇게 하시면 됩니다.
아래 부분들이 추가 수정되었습니다.
-----------------------------------------------------------------------------------------------------------------------------
(setq textheight (getreal))
(command "._text" txt_pt textheight "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
-----------------------------------------------------------------------------------------------------------------------------
예로 캐드에서 TEXT 명령으로 글자크기를 5로 했다면,
아래 리습은 글자크기 5로 작성됩니다.
여기에서 글자크기를 관할하는 부분을 말씀드리겠습니다.
(defun c:nt ()
(setq s_num (getstring "\nbeginning number : "))
(if (= s_num "") (setq s_num num) (setq num (itoa (1- (read s_num)))))
(while (setq txt_pt (getpoint "\ntext insertion point: "))
(command "._text" txt_pt "" "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
)
만약 글자크기를 리습에서 고정하고 싶으시다면,
(command "._text" txt_pt "####" "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
#### 부분에 숫자를 기재하면 됩니다.
아래는 글자크기 10으로 하는 예입니다.
(command "._text" txt_pt "10" "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
만약 리습을 실행할때마다 글자크기를 물어보게 하고 싶다면
-----------------------------------------------------------------------------------------------------------------------------
(defun c:nt ()
(setq textheight (getreal))
(setq s_num (getstring "\nbeginning number : "))
(if (= s_num "") (setq s_num num) (setq num (itoa (1- (read s_num)))))
(while (setq txt_pt (getpoint "\ntext insertion point: "))
(command "._text" txt_pt textheight "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
)
-----------------------------------------------------------------------------------------------------------------------------
이렇게 하시면 됩니다.
아래 부분들이 추가 수정되었습니다.
-----------------------------------------------------------------------------------------------------------------------------
(setq textheight (getreal))
(command "._text" txt_pt textheight "" (if (not num) (setq num "0") (setq num (itoa (1+ (read num)))))""))
-----------------------------------------------------------------------------------------------------------------------------